<?php

$mask = array(
	      'table' => 'kostenstellen',
	      'title' => 'Kostenstellen',
	      'join' => array('gebiet ON kostenstellen.gebiet = gebiet.id'),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'sql' => 'kostenstellen.id',
					    'visible' => false,
					    ),
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'specs' => "filterUI: 't'",
					    'width' => 220,
					    ),
			      'gebiet' => array(
					    'name' => 'Gebiet',
					    'sql' => 'gebiet.gebiet',
					    'specs' => "filterUI: 's'",
					    'width' => 220,
					    ),
			      'laenge' => array(
					    'name' => 'Länge',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', canSort: false",
					    'width' => 65,
					    ),
			      ),
	      'edit' => array(
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'type' => 'text',
					    'size' => 24,
					    'required' => true,
					    ),
			      'gebiet' => array(
					    'name' => 'Gebiet',
					    'type' => 'select',
					    'option_empty' => 'Bitte wählen Sie',
					    'options' => 'SELECT id,gebiet AS text FROM gebiet ORDER BY gebiet',
					    ),
			      'laenge' => array(
					    'name' => 'Länge',
					    'type' => 'decimal',
					    'width' => 65,
					    'required' => true,
					    ),
			      ),
	      );

?>
